//
// QPerforce is a gui interface to the perforce revision control
// system. It is based on the qt library, and should be easily portable
// across any platform that has this toolkit available.
// 
// Copyright (C) 2002 Jacob Gladish
// 
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
#ifndef __PENDING_CHANGELISTS_H__
#define __PENDING_CHANGELISTS_H__

#include <qstring.h>
#include <qdatetime.h>

namespace Perforce {

class PendingChangeList  
{

public:	

  static PendingChangeList* createNewChangeList( const QString& p4Output );
	virtual ~PendingChangeList();

  inline int            getChangeListNumber( void ) const;
  inline const QDate&   getDate( void ) const;
  inline const QString& getUser( void ) const;
  inline const QString& getDescription( void ) const;

private:

  PendingChangeList( int num, 
                     const QDate& date, 
                     const QString&, 
                     const QString& );


  unsigned int _number;
  QDate        _date;
  QString      _user;
  QString      _description;

};

inline int PendingChangeList::getChangeListNumber( void ) const 
{
  return _number;
}

inline const QDate& PendingChangeList::getDate( void ) const
{
  return _date;
}

inline const QString& PendingChangeList::getUser( void ) const
{
  return _user;
}

inline const QString& PendingChangeList::getDescription( void ) const
{
  return _description;
}


} // end namespace

#endif 
